#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.Drawing;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Interactive;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Pdf
{
    class GettingStarted : ContentPage
    {
        PdfDocument doc;
        PdfPage page;
        Syncfusion.Drawing.Color gray = Syncfusion.Drawing.Color.FromArgb(255, 77, 77, 77);
        Syncfusion.Drawing.Color black = Syncfusion.Drawing.Color.FromArgb(255, 0, 0, 0);
        Syncfusion.Drawing.Color white = Syncfusion.Drawing.Color.FromArgb(255, 255, 255, 255);
        Syncfusion.Drawing.Color violet = Syncfusion.Drawing.Color.FromArgb(255, 151, 108, 174);
        public GettingStarted()
        {
            Label title = new Label
            {
                Text = "Getting started",
            
            };

            Label description = new Label
            {
                Text = "\nDrawing text in a PDF document has been made simpler.Now, it is very similar to drawing in .NET GDI. This section demonstrates how a string is drawn in a PDF page using Essential PDF. The string is created using the DrawString method of the Graphics class.Be sure to specify the font and brush with which you want the string to be drawn.\n\n",
            };

            Button button = new Button
            {
                Text = "Generate PDF",
            };
            button.Clicked += OnButtonClicked;
            // Accomodate iPhone status bar.
            this.Padding = new Thickness(20, Device.OnPlatform(20, 20, 20), 20, 20);

            if (Device.OS == TargetPlatform.iOS)
            {
                title.Font = Xamarin.Forms.Font.SystemFontOfSize(20);
                description.Font = Xamarin.Forms.Font.SystemFontOfSize(15);
            }
            else if (Device.OS == TargetPlatform.WinPhone)
            {
                title.Font = Xamarin.Forms.Font.SystemFontOfSize(35);
            }
            else if (Device.OS == TargetPlatform.Android)
            {
                title.Font = Xamarin.Forms.Font.SystemFontOfSize(25);
            }
            // Build the page.
            this.Content = new StackLayout
            {
                Children = 
                {
                    title,
                    description,
                    button,
                }
            };
        }
        void OnButtonClicked(object sender, EventArgs e)
        {
            doc = new PdfDocument();
            doc.PageSettings.Margins.All = 0;
            page = doc.Pages.Add();
            PdfGraphics g = page.Graphics;

            Stream imgStream = typeof(App).GetTypeInfo().Assembly.GetManifestResourceStream("Pdf.Assets.Reporting-Edition.jpg");

            g.DrawImage(PdfImage.FromStream(imgStream), 10, 10, 300, 170);

            MemoryStream stream = new MemoryStream();
            doc.Save(stream);
            doc.Close(true);
            Xamarin.Forms.DependencyService.Get<ISave>().Save("GettingStarted.pdf", "application/pdf", stream);
        }
    }
}
